This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 523061 - mtp-lib fails to detect MTP player - used to work in Fedora-10
mtp-lib fails to detect MTP player - used to work in Fedora-10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-13 15:51 EDT by Gerard Fernandes
Modified: 2010-06-28 10:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Fernandes 2009-09-13 15:51:31 EDT
Description of problem: mtp-lib fails to detect MTP player - used to work in Fedora-10


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Plugin MTP music player (Cowon D2 in this case)
2. Observe it mounts correctly as a USB device.
3. Fire up Gnomad-2
4. Observe that it unmounts the USB device and attempts to connect.

  
Actual results: It continues to attempt to connect. This goes on forever (until force-terminated).


Expected results: Should be able to connect to MTP player and allow adding/removing media files, manipulating play-lists etc.


Additional info: Tried using mtp-detect to check if that works. Doesn't work. Tried this as root as well (both mtp-detect and gnomad-2) - doesn't work. So it's definitely nothing to do with permissions.
Comment 1 Linus Walleij 2009-09-13 17:37:24 EDT
Have you tried downgrading to libmtp 0.3.7 to see if this is really a regression in libmtp?

I think this is rather caused by other apps hogging the player first.

Have you tried this, as root

# rmmod usb_storage && mtp-detect
Comment 2 Gerard Fernandes 2009-09-14 07:56:24 EDT
Thanks for the tip.

Currently, due to a recent X/GDM upgrade (regression), I can't login to a desktop anymore. As soon as I can get something working, I will try this.
Comment 3 Gerard Fernandes 2009-09-19 03:05:23 EDT
I've tried it (# rmmod usb_storage && mtp-detect) as root with the exact same results. Here is the relevant log:

Sep 19 07:43:08 achiles kernel: usb 1-3: new high speed USB device using ehci_hcd and address 4
Sep 19 07:43:08 achiles kernel: usb 1-3: New USB device found, idVendor=0e21, idProduct=0801
Sep 19 07:43:08 achiles kernel: usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 19 07:43:08 achiles kernel: usb 1-3: Product: COWON D2
Sep 19 07:43:08 achiles kernel: usb 1-3: Manufacturer: COWON Systems, Inc.
Sep 19 07:43:08 achiles kernel: usb 1-3: SerialNumber: 0203040055B28F7B305010018031E379
Sep 19 07:43:08 achiles kernel: usb 1-3: configuration #1 chosen from 1 choice
Sep 19 07:43:08 achiles kernel: Initializing USB Mass Storage driver...
Sep 19 07:43:08 achiles kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Sep 19 07:43:08 achiles kernel: usbcore: registered new interface driver usb-storage
Sep 19 07:43:08 achiles kernel: USB Mass Storage support registered.
Sep 19 07:43:13 achiles kernel: scsi 2:0:0:0: Direct-Access     COWON    D2               0100 PQ: 0 ANSI: 0
Sep 19 07:43:13 achiles kernel: scsi 2:0:0:1: Direct-Access     COWON    D2               0100 PQ: 0 ANSI: 0
Sep 19 07:43:13 achiles kernel: sd 2:0:0:0: Attached scsi generic sg2 type 0
Sep 19 07:43:13 achiles kernel: sd 2:0:0:1: Attached scsi generic sg3 type 0
Sep 19 07:43:13 achiles kernel: sd 2:0:0:0: [sdb] 32309248 512-byte hardware sectors: (16.5 GB/15.4 GiB)
Sep 19 07:43:13 achiles kernel: sd 2:0:0:0: [sdb] Write Protect is off
Sep 19 07:43:13 achiles kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Sep 19 07:43:13 achiles kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Sep 19 07:43:13 achiles kernel: sdb:<5>sd 2:0:0:1: [sdc] 31456320 512-byte hardware sectors: (16.1 GB/14.9 GiB)
Sep 19 07:43:13 achiles kernel:
Sep 19 07:43:13 achiles kernel: sd 2:0:0:0: [sdb] Attached SCSI removable disk
Sep 19 07:43:13 achiles kernel: sd 2:0:0:1: [sdc] Write Protect is off
Sep 19 07:43:13 achiles kernel: sd 2:0:0:1: [sdc] Assuming drive cache: write through
Sep 19 07:43:13 achiles kernel: sd 2:0:0:1: [sdc] Assuming drive cache: write through
Sep 19 07:43:13 achiles kernel: sdc: sdc1
Sep 19 07:43:13 achiles kernel: sdc: p1 size 31711232 limited to end of disk
Sep 19 07:43:13 achiles kernel: sd 2:0:0:1: [sdc] Attached SCSI removable disk
Sep 19 07:44:20 achiles kernel: usbcore: deregistering interface driver usb-storage
Comment 4 Linus Walleij 2009-09-21 04:35:22 EDT
Well perhaps a deeper test:
can you disable the desktop and X by (in a console window)
init 4

Then insert device,
rmmod usb_storage && mtp-detect

What I want to know is if there is one of the daemons like
gphotofs in Gnome that is stealing the device for you.
Comment 5 Gerard Fernandes 2009-09-22 04:02:16 EDT
Same results - no joy. Here's the steps I followed:

1. Log out of X (Gnome session - no KDE installed anyway).
2. Cntrl-Alt-F2 - on to a CLI, log in as myself
3. su -
4. init 4
5. Log in as myself again
6. su -
7. rmmod usb_storage && mtp-detect

Wait for 5 minutes, then Cntrl-C because it's still not doing anything.
Comment 6 Gerard Fernandes 2010-04-08 03:38:11 EDT
Works in Fedora-12. Tested yesterday. mtp-detect and Gnomad-2 work. RhythmBox still doesn't do anything beyond listing music on the MTP-device - but I suppose that's a known issue.
Comment 7 Gerard Fernandes 2010-04-08 03:38:57 EDT
Please close this - it's fixed in F-12.
Comment 8 Bug Zapper 2010-04-28 06:20:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 10:38:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.